Skip to main content
`Ctrl`+`K`

# DMPlexMetricGetVerbosity

Get the verbosity of the mesh adaptation package

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricGetVerbosity(DM dm, PetscInt *verbosity)

## Input Parameters

- dm - The `DM`

## Output Parameters

- verbosity - The verbosity, where -1 is silent and 10 is maximum

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricSetVerbosity()`, `DMPlexMetricGetNumIterations()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages